Ubuntu 7.4 - nieznane dla mnie błędy związane z dpkg


(Molenda65) #1

Od dwóch dni na laptopie z Vistą mam zainstalowane starą wersję Ubuntu 7.4. Jest w pełni zaktualizowany. od dzisiaj występuje problem z menedżerami: aktualizacji i pakietów Synaptic. Najpierw chciałem uaktualnić system do wersji 7.10 i pojawił siękomunikat:

Nie mogę też zainstalować kodeków (do radia internetowego) bo wtedy jest błąd : po uruchomieniu Menedżer pakietow Synaptic :

Bardzo proszę o pomoc . Nie znam się zupełnie na Ubuntu, nie znam też angielskiego. Byłbym bardzo wdzięczny o dokładne wyjaśnienie.


(Morphdreamer) #2

Wpisz to w terminalu:

sudo dpkg --configure -a

Jeśli błąd dalej będzie występował to:

sudo apt-get update

sudo apt-get upgrade

(JarekMk) #3

Albo apt-get dist-upgrade


(Molenda65) #4

Pojawia się komunikat:

Wystąpiły błędy podczas przetwarzania:

havp

amavisd-new

amavisd-new-milter


(Morphdreamer) #5

Spróbuj naprawić zależności:

sudo apt-get install -f

Jeśli to nie pomoże to usuń i zainstaluj ponownie pakiety, z którymi występują błędy. Jakby co usuwa się poleceniem:

sudo apt-get remove (nazwa pakietu)

A instaluje:

sudo apt-get install (nazwa pakietu)

(Molenda65) #6

Nic nie pomaga. Występują te same błędy podczas przetwarzania.

W dniu 08.07.2008 , o godzinie 3:30 został dopisany post przez cezar07

Pomogło-już dziabie.


(Morietto) #7

czy koniecznie chcesz przez internet aktualizować?? poleciłbym aktualizację przez alternate cd.. możesz ściągnąć i ewentualnie zamontować pod napęd i wtedy z obrazu by zaktualizowało, ale jeśli masz nagrywarkę po prostu ściągnij alternate cd włóż w napęd i pojawi się info że znaleziono płytę z pakietami i zachęci do aktualizacji.

wersja 32 bit

http://releases.ubuntu.com/8.04/ubuntu-8.04.1-alternate-i386.iso

wersja 64

http://releases.ubuntu.com/8.04/ubuntu-8.04.1-server-amd64.iso

jeśli nie masz nagrywarki to.....

sudo mount ścieżka-do-alternatecd.iso /mnt/cdrom -o ro,loop

potem

sudo /mnt/cdrom/cdromupgrade

w razie jak byś z płyty alternate cd odpalał i nie pojawi się okienko z informacją o tym że znaleziono nowe pakiety to wpisz tylko

sudo /mnt/cdrom/cdromupgrade

i się pojawi ^^

pamiętaj że taką aktualizację możesz przeprowadzić tylko za pomocą alternate cd!!

w razie kłopotów pisz ;p